import { O as Options } from './options-294e6a3b';
export { F as Format, O as Options } from './options-294e6a3b';
import 'esbuild';
import 'rollup';

/** Mark some properties as required, leaving others unchanged */
declare type MarkRequired<T, RK extends keyof T> = Exclude<T, RK> & Required<Pick<T, RK>>;

declare type NormalizedOptions = MarkRequired<Options, 'entryPoints' | 'format' | 'outDir'>;
declare const defineConfig: (options: Options | ((overrideOptions: Options) => Options)) => Options | ((overrideOptions: Options) => Options);
declare function build(_options: Options): Promise<void>;

export { NormalizedOptions, build, defineConfig };
